Bug 27990 - Replace obsolete title-string sorting: Patrons
Summary: Replace obsolete title-string sorting: Patrons
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 27934
  Show dependency treegraph
 
Reported: 2021-03-18 16:55 UTC by Owen Leonard
Modified: 2021-06-18 13:21 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27990: Replace obsolete title-string sorting: Patrons (13.78 KB, patch)
2021-03-19 11:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27990: Replace obsolete title-string sorting: Patrons (13.79 KB, patch)
2021-03-23 15:46 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 27990: Replace obsolete title-string sorting: Patrons (13.79 KB, patch)
2021-03-23 15:47 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 27990: (follow-up) Address missing instances (2.11 KB, patch)
2021-03-25 12:18 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27990: Replace obsolete title-string sorting: Patrons (13.89 KB, patch)
2021-03-27 15:59 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27990: (follow-up) Address missing instances (2.17 KB, patch)
2021-03-27 15:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-18 16:55:54 UTC
This patch will modify the following templates to replace the old "title-string" DataTables sorting method with the built-in method using "data-order" attributes.

  intranet-tmpl/prog/en/modules/members/accountline-details.tt
  intranet-tmpl/prog/en/modules/members/boraccount.tt
  intranet-tmpl/prog/en/modules/members/discharges.tt
  intranet-tmpl/prog/en/modules/members/holdshistory.tt
  intranet-tmpl/prog/en/modules/members/moremember.tt
  intranet-tmpl/prog/en/modules/members/notices.tt
  intranet-tmpl/prog/en/modules/members/pay.tt
  intranet-tmpl/prog/en/modules/members/readingrec.tt
Comment 1 Owen Leonard 2021-03-19 11:09:26 UTC Comment hidden (obsolete)
Comment 2 Amit Gupta 2021-03-23 15:46:39 UTC Comment hidden (obsolete)
Comment 3 Amit Gupta 2021-03-23 15:47:15 UTC
Created attachment 118675 [details] [review]
Bug 27990: Replace obsolete title-string sorting: Patrons

To test, apply the patch and view a patron record in the staff
interface. Check the following pages to confirm that columns containing
dates sort correctly when using any setting of the "dateformat" system
preference:

- Details: DataTables initialization removed because it is obsolete.
  Confirm that table of holds in the holds tab is still a working
  DataTable.
- Accounting
- Accounting -> Transactions,
- Accounting -> Transactions -> Details of a fee (DataTables-related
  markup removed because there are no DataTables).
- Circulation history
- Holds history
- Notices
Comment 4 Owen Leonard 2021-03-25 12:18:39 UTC
Created attachment 118784 [details] [review]
Bug 27990: (follow-up)  Address missing instances

With multiple pending discharge requests, follow the "Discharge
requests pending" link from the staff interface home page.
Comment 5 Katrin Fischer 2021-03-27 15:59:22 UTC
Created attachment 118906 [details] [review]
Bug 27990: Replace obsolete title-string sorting: Patrons

This patch modifies several patron templates to replace the use of
the "title-string" DataTables sorting method with the newer "data-order"
attribute.

To test, apply the patch and view a patron record in the staff
interface. Check the following pages to confirm that columns containing
dates sort correctly when using any setting of the "dateformat" system
preference:

- Details: DataTables initialization removed because it is obsolete.
  Confirm that table of holds in the holds tab is still a working
  DataTable.
- Accounting
- Accounting -> Transactions,
- Accounting -> Transactions -> Details of a fee (DataTables-related
  markup removed because there are no DataTables).
- Circulation history
- Holds history
- Notices

Signed-off-by: Amit Gupta <amitddng135@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2021-03-27 15:59:26 UTC
Created attachment 118907 [details] [review]
Bug 27990: (follow-up) Address missing instances

With multiple pending discharge requests, follow the "Discharge
requests pending" link from the staff interface home page.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2021-04-06 13:58:42 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 8 Fridolin Somers 2021-04-19 09:28:13 UTC
Enhancement not pushed to 20.11.x